import { h, Host } from "@stencil/core";
import { readSubLevels } from "../utils/level.utils";
export class NavigationLevels {
    async getLevelInfos() {
        return await readSubLevels(this.el, 'bal-navigation-level-meta');
    }
    render() {
        return (h(Host, { class: "is-hidden" }, h("slot", null)));
    }
    static get is() { return "bal-navigation-levels"; }
    static get methods() {
        return {
            "getLevelInfos": {
                "complexType": {
                    "signature": "() => Promise<LevelInfo[]>",
                    "parameters": [],
                    "references": {
                        "Promise": {
                            "location": "global",
                            "id": "global::Promise"
                        },
                        "LevelInfo": {
                            "location": "import",
                            "path": "../utils/level.utils",
                            "id": "src/components/bal-navigation/utils/level.utils.ts::LevelInfo"
                        }
                    },
                    "return": "Promise<LevelInfo[]>"
                },
                "docs": {
                    "text": "",
                    "tags": []
                }
            }
        };
    }
    static get elementRef() { return "el"; }
}
